﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _8687
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            ValueStyle valueStyle = new ValueStyle();
            valueStyle.ColumnName = "test";
            valueStyle.ValueItems.Add(new ValueItem("0", PointStyles.CreateSimpleTriangleStyle(GeoColor.StandardColors.LightYellow, 12, GeoColor.StandardColors.Black)));
            valueStyle.ValueItems.Add(new ValueItem("1", PointStyles.CreateSimpleTriangleStyle(GeoColor.StandardColors.Yellow, 12, GeoColor.StandardColors.Black)));
            valueStyle.ValueItems.Add(new ValueItem("2", PointStyles.CreateSimpleTriangleStyle(GeoColor.StandardColors.Orange, 12, GeoColor.StandardColors.Black)));
            valueStyle.SaveStyle(@"..\..\AppData\test.style");
        }
    }
}
